#ifndef _LEVEL
#define _LEVEL

typedef enum {CITY, COUNTRY} Level_type;
typedef enum {EMPTY, HOUSE, GIFTED_HOUSE, TREE} Road;

typedef struct {
	char type, *road, *sky;
	int length, nb_house;
} Level;

Level* level_load(int n);
void level_free(Level* level);

Level* level_create(Level_type type, char* road, char* sky, int length);

#endif
